Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class AttributeListImpl

    java.lang.Object
      |
      +--oracle.jbo.server.AttributeListImpl

public class AttributeListImpl
extends java.lang.Object
implements AttributeList

The middle-tier manager for name/value pairs.

This class provides methods for setting and getting values either by index or by name.

Since:
  JDeveloper 3.0

Constructor Summary
`AttributeListImpl()` Creates an empty attribute list.
`AttributeListImpl(int size)` Constructs a new attribute list with a specified initial capacity.

Method Summary
`java.lang.Object` | `getAttribute(int index)` Gets the value of an attribute identified by its index.
`java.lang.Object` | `getAttribute(java.lang.String name)` Gets the value of an attribute identified by name.
`int` | `getAttributeCount()` Counts the attributes.
`int` | `getAttributeIndexOf(java.lang.String name)` Gets the index of a named attribute.
`void` | `setAttribute(int index, java.lang.Object value)` Sets the value for the specified attribute.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets the value for the named attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeListImpl

    public AttributeListImpl()

  Creates an empty attribute list.

### AttributeListImpl

    public AttributeListImpl(int size)

  Constructs a new attribute list with a specified initial capacity.
  Parameters:
    `size` - the initial cacpacity.

Method Detail

### getAttribute

    public java.lang.Object getAttribute(int index)

  Gets the value of an attribute identified by its index.
  Specified by:
    getAttribute in interface AttributeList
  Parameters:
    `index` - the attribute's index.
  Returns:
    the value of the attribute, or `null` if `index` is out of range.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Gets the value of an attribute identified by name.
  Specified by:
    getAttribute in interface AttributeList
  Parameters:
    `name` - the attribute's name.
  Returns:
    the value of the attribute, or `null` if `index` is out of range.

### setAttribute

    public void setAttribute(int index,
                             java.lang.Object value)

  Sets the value for the specified attribute.
  Specified by:
    setAttribute in interface AttributeList
  Parameters:
    `index` - the attribute index.
    `value` - the attribute's new value.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets the value for the named attribute.
  Specified by:
    setAttribute in interface AttributeList
  Parameters:
    `name` - the attribute name.
    `value` - the attribute's new value.

### getAttributeCount

    public int getAttributeCount()

  Counts the attributes.
  Specified by:
    getAttributeCount in interface AttributeList
  Returns:
    the number of attributes.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Gets the index of a named attribute.
  Specified by:
    getAttributeIndexOf in interface AttributeList
  Returns:
    the attribute's index, or `-1` if not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD